diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index bf5cc4b..4a66671 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -26087,6 +26087,7 @@ Available algebra help topics are:
 \calls{newHelpSpad2Cmd}{namestring}
 \calls{newHelpSpad2Cmd}{make-instream}
 \calls{newHelpSpad2Cmd}{say}
+\calls{newHelpSpad2Cmd}{abbreviation?}
 \calls{newHelpSpad2Cmd}{poundsign}
 \calls{newHelpSpad2Cmd}{sayKeyedMsg}
 \calls{newHelpSpad2Cmd}{pname}
@@ -26095,7 +26096,7 @@ Available algebra help topics are:
 \usesdollar{newHelpSpad2Cmd}{useFullScreenHelp}
 \begin{chunk}{defun newHelpSpad2Cmd}
 (defun |newHelpSpad2Cmd| (args)
- (let (sarg arg narg helpfile filestream line)
+ (let (sarg arg narg helpfile filestream line unabbrev)
  (declare (special $syscommands |$useFullScreenHelp|))
   (when (null args) (setq args (list '?)))
   (if (> (|#| args) 1) 
@@ -26110,11 +26111,18 @@ Available algebra help topics are:
     (setq arg (|selectOptionLC| (car args) $syscommands nil))
     (cond ((null arg) (setq arg (car args))))
     (setq narg (pname arg))
+    ; expand abbreviations to full constructor names
+    (when 
+     (setq unabbrev (|abbreviation?| (intern narg)))
+      (setq narg (symbol-name unabbrev)))
     (cond
+      ; if the help file does not exist, exit
      ((null (setq helpfile (makeInputFilename (list narg "help"))))
        nil)
+      ; if we expect to use full screen help, call SPADEDIT
      (|$useFullScreenHelp|
       (obey (concat "$AXIOM/lib/SPADEDIT " (|namestring| helpfile))) t)
+      ; otherwise dump the help file to the console
      (t
       (setq filestream (make-instream helpfile))
       (do ((line (|read-line| filestream nil) (|read-line| filestream nil)))
diff --git a/changelog b/changelog
index eff0ef8..2fee24c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141117 tpd src/axiom-website/patches.html 20141117.01.tpd.patch
+20141117 tpd books/bookvol5 newHelpSpad2Cmd now recognizes )help abbreviations
 20141116 tpd src/axiom-website/patches.html 20141116.03.tpd.patch
 20141116 tpd src/input/Makefile remove gonshor.input
 20141116 tpd src/axiom-website/patches.html 20141116.02.tpd.patch
diff --git a/patch b/patch
index 150182f..18a0aec 100644
--- a/patch
+++ b/patch
@@ -1,6 +1,5 @@
-src/input/Makefile remove gonshor.input
-
-gonshor.input has been merged with AlgebraGivenByStructuralConstants (ALGSC)
-
-
+books/bookvol5 newHelpSpad2Cmd now recognizes )help abbreviations
 
+The )help command now recognizes
+  )help Integer 
+  )help INT
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5fc0c70..05ef12e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4705,7 +4705,9 @@ books/bookvol10.3 prototype man-page style help for functions<br/>
 <a href="patches/20141116.02.tpd.patch">20141116.02.tpd.patch</a>
 books/bookvol10.3 help file for AlgebraGivenByStructuralConstants<br/>
 <a href="patches/20141116.03.tpd.patch">20141116.03.tpd.patch</a>
-src/input/Makefile remove gonshor.input
+src/input/Makefile remove gonshor.input<br/>
+<a href="patches/20141117.01.tpd.patch">20141117.01.tpd.patch</a>
+books/bookvol5 newHelpSpad2Cmd now recognizes )help abbreviations<br/>
  </body>
 </html>
 
